/***************************************************************************
 *   Copyright (C) 2008 by C J Plooy                                       *
 *   cornware-cjp@lycos.nl                                                 *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU Library General Public License as       *
 *   published by the Free Software Foundation; either version 2 of the    *
 *   License, or (at your option) any later version.                       *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU Library General Public     *
 *   License along with this program; if not, write to the                 *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

/*
KOST is the Kepler Orbit Simulation Toolkit.
This header file contains orbital element tools
*/

#ifndef KOST_ELEMENTS_H
#define KOST_ELEMENTS_H

#include "kost_types.h"

#ifdef __cplusplus
extern "C" {
#endif

/*
mu is G*M (gravitational constant times mass of central body)
t  is the time
params will be filled with extra parameters, if it is not NULL
*/
void kostElements2StateVector(kostReal mu, const kostElements *elements, kostStateVector *state);
void kostStateVector2Elements(kostReal mu, const kostStateVector *state, kostElements *elements, kostOrbitParam *params);

#ifdef __cplusplus
}
#endif

#endif

